% slice_timing_ui2() - subfunction called by slice_timing().
%
% Usage:
%    >> slice_timing_ui2;
%
% Inputs:
%
% Outputs:
%
% Author: Jeng-Ren Duann, CNL/Salk Inst., 2001-10
%
% See also: slice_timing()

% Copyright (C) 2002 Jeng-Ren Duann, Salk Institute, duann@salk.edu
%
% This program is free software; you can redistribute it and/or
% modify it under the terms of the GNU General Public License as
% published by the Free Software Foundation; either version 2 of
% the License, or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

% $Log: slice_timing_ui2.m,v $
% Revision 1.1  2003/02/06 19:34:43  duann
% Initial revision
%


function slice_timing_ui2

global FMRI

h0 = findobj('name', 'Align Slice Timing');
h = findobj(h0,'tag','popup1');
a = get(h,'value');
switch a,
  case 1,
    aa = [1:2:FMRI.dime_z 2:2:FMRI.dime_z];
    h = findobj(h0,'tag','edit2');
    set(h,'string',num2str(aa(ceil(length(aa)/2))));
  case 2,
    aa = 1:FMRI.dime_z;
    h = findobj(h0,'tag','edit2');
    set(h,'string',num2str(aa(ceil(length(aa)/2))));
  case 3,
    aa = FMRI.dime_z:-1:1;
    h = findobj(h0,'tag','edit2');
    set(h,'string',num2str(aa(ceil(length(aa)/2))));
  case 4,
    h = findobj('tag','edit1');
    set(h,'enable','on');
end

