% spm_global() - returns the global mean for a memory mapped volume
%                image, a compiled routine (this function is
%                adapted from SPM'99)
%
% Usage:
%    >> GX = spm_global(V); 
%
% Inputs:
%    V   - memory mapped volume
%
% Outputs:
%    GX  - mean global activity
%
% Author: Anon 99/04/19
%
% See also: 

% $Log: spm_global.m,v $
% Revision 1.1  2003/02/06 19:44:25  duann
% Initial revision
%

function GX = spm_global(V)
% returns the global mean for a memory mapped volume image - a compiled routine
% FORMAT GX = spm_global(V)
% V   - memory mapped volume
% GX  - mean global activity
%_______________________________________________________________________
%
% spm_global returns the mean counts integrated over all the  
% slices from the volume
%
% The mean is estimated after discounting voxels outside the object
% using a criteria of greater than > (global mean)/8
%
%_______________________________________________________________________
% @(#)spm_global.m	2.2 Anon 99/04/19

%-This is merely the help file for the compiled routine
error('spm_global.c not compiled - see spm_MAKE.sh')
